Tonyu.klass.define({
  fullName: 'user.DigArea',
  shortName: 'DigArea',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_DigArea_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_DigAreaBorder;
        _this.zOrder=3;
        _this.drawSprites = [];
        
        _this.BreakDigCnt = _this.stones+1;
        
        _this.digCnt = 0;
        
        _this.digged = false;
        
        _this.HoleSprite = new Tonyu.classes.kernel.ActorSprite({x: _this.x,y: _this.y,p: - 1,zOrder: 1});
        
        _this.StoneDeploy(_this.stones);
        _this.drawSprites.push(_this.HoleSprite);
      },
      fiber$main :function _trc_DigArea_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_DigAreaBorder;
        _this.zOrder=3;
        _this.drawSprites = [];
        
        _this.BreakDigCnt = _this.stones+1;
        
        _this.digCnt = 0;
        
        _this.digged = false;
        
        _this.HoleSprite = new Tonyu.classes.kernel.ActorSprite({x: _this.x,y: _this.y,p: - 1,zOrder: 1});
        
        
        _thread.enter(function _trc_DigArea_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$StoneDeploy(_thread, _this.stones);
              __pc=1;return;
            case 1:
              
              _this.drawSprites.push(_this.HoleSprite);
              _thread.exit(_this);return;
            }
          }
        });
      },
      draw :function _trc_DigArea_draw(ctx) {
        "use strict";
        var _this=this;
        var _it_1698;
        
        __superClass.prototype.draw.apply( _this, [ctx]);
        _it_1698=Tonyu.iterator(_this.drawSprites,1);
        while(_it_1698.next()) {
          _this.ds=_it_1698[0];
          
          _this.ds.draw(ctx);
          
        }
      },
      StoneDeploy :function _trc_DigArea_StoneDeploy(kazu) {
        "use strict";
        var _this=this;
        var p;
        var x;
        var y;
        
        while (kazu>0) {
          Tonyu.checkLoop();
          p = _this.rnd(2)==0?Tonyu.globals.$pat_Stone1:Tonyu.globals.$pat_Stone2;
          
          x = _this.x+_this.rnd(80)-40;
          
          y = _this.y+_this.rnd(80)-40;
          
          _this.drawSprites.push(new Tonyu.classes.kernel.ActorSprite({x: x,y: y,p: p,zOrder: 2}));
          kazu--;
          
        }
      },
      fiber$StoneDeploy :function _trc_DigArea_f_StoneDeploy(_thread,kazu) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var p;
        var x;
        var y;
        
        
        _thread.enter(function _trc_DigArea_ent_StoneDeploy(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(kazu>0)) { __pc=2     ; break; }
              {
                p = _this.rnd(2)==0?Tonyu.globals.$pat_Stone1:Tonyu.globals.$pat_Stone2;
                
                x = _this.x+_this.rnd(80)-40;
                
                y = _this.y+_this.rnd(80)-40;
                
                _this.drawSprites.push(new Tonyu.classes.kernel.ActorSprite({x: x,y: y,p: p,zOrder: 2}));
                kazu--;
              }
              __pc=1;break;
            case 2     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      Dig :function _trc_DigArea_Dig() {
        "use strict";
        var _this=this;
        var p;
        
        _this.digCnt+=1;
        p = Tonyu.globals.$pat_Hibi3;
        
        if (_this.digCnt>=_this.BreakDigCnt) {
          _this.HoleSprite.p=Tonyu.globals.$pat_Hole;
          _this.digged=true;
          
        } else {
          if (_this.BreakDigCnt-_this.digCnt==1) {
            _this.HoleSprite.p=Tonyu.globals.$pat_HoleHibi3;
            
          } else {
            if (_this.BreakDigCnt-_this.digCnt==2) {
              _this.HoleSprite.p=Tonyu.globals.$pat_HoleHibi2;
              
            } else {
              _this.HoleSprite.p=Tonyu.globals.$pat_HoleHibi1;
              
            }
          }
        }
      },
      fiber$Dig :function _trc_DigArea_f_Dig(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var p;
        
        _this.digCnt+=1;
        p = Tonyu.globals.$pat_Hibi3;
        
        if (_this.digCnt>=_this.BreakDigCnt) {
          _this.HoleSprite.p=Tonyu.globals.$pat_Hole;
          _this.digged=true;
          
        } else {
          if (_this.BreakDigCnt-_this.digCnt==1) {
            _this.HoleSprite.p=Tonyu.globals.$pat_HoleHibi3;
            
          } else {
            if (_this.BreakDigCnt-_this.digCnt==2) {
              _this.HoleSprite.p=Tonyu.globals.$pat_HoleHibi2;
              
            } else {
              _this.HoleSprite.p=Tonyu.globals.$pat_HoleHibi1;
              
            }
          }
        }
        
        _thread.retVal=_this;return;
      },
      CanDig :function _trc_DigArea_CanDig() {
        "use strict";
        var _this=this;
        
        if (_this.digCnt>=_this.BreakDigCnt) {
          return false;
          
        } else {
          return true;
          
        }
      },
      fiber$CanDig :function _trc_DigArea_f_CanDig(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.digCnt>=_this.BreakDigCnt) {
          _thread.retVal=false;return;
          
          
        } else {
          _thread.retVal=true;return;
          
          
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true},"StoneDeploy":{"nowait":false},"Dig":{"nowait":false},"CanDig":{"nowait":false}},"fields":{"drawSprites":{},"BreakDigCnt":{},"digCnt":{},"digged":{},"HoleSprite":{},"stones":{},"ds":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Drill',
  shortName: 'Drill',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Drill_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_Drill;
        while (true) {
          Tonyu.checkLoop();
          _this.t = 0;
          
          _this.y+=3;
          while (_this.t<3) {
            Tonyu.checkLoop();
            _this.t++;
            _this.update();
            
          }
          _this.y-=3;
          while (_this.t<6) {
            Tonyu.checkLoop();
            _this.t++;
            _this.update();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Drill_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_Drill;
        
        _thread.enter(function _trc_Drill_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.t = 0;
              
              _this.y+=3;
            case 2:
              if (!(_this.t<3)) { __pc=4     ; break; }
              _this.t++;
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
              __pc=2;break;
            case 4     :
              
              _this.y-=3;
            case 5:
              if (!(_this.t<6)) { __pc=7     ; break; }
              _this.t++;
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
              __pc=5;break;
            case 7     :
              
              _this.fiber$update(_thread);
              __pc=8;return;
            case 8:
              
              __pc=1;break;
            case 9     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"t":{}}}
});
Tonyu.klass.define({
  fullName: 'user.DrillDurabilityUI',
  shortName: 'DrillDurabilityUI',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_DrillDurabilityUI_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_Drill;
        _this.x=150;
        _this.y=435;
        _this.durability = 0;
        
        _this.targetDurability = 100;
        
        _this.isDrillAccident = false;
        
        _this.isWarnAnim = false;
        
        _this.warnAnimT = 0;
        
        _this.panel=new Tonyu.classes.kernel.Panel();
        _this.panel.resize(200,20);
        _this.panel.x=300;
        _this.panel.y=_this.y;
        while (1) {
          Tonyu.checkLoop();
          if (_this.isWarnAnim) {
            _this.warnAnimT++;
            _this.scaleX=_this.abs(_this.cos(_this.warnAnimT*2))+1;
            
          } else {
            _this.warnAnimT=0;
            _this.scaleX=1;
            
          }
          if (_this.isDrillAccident) {
            _this.scaleX=1;
            
          }
          if (_this.durability<_this.targetDurability) {
            _this.durability+=0.5;
          }
          if (_this.durability>_this.targetDurability) {
            _this.durability-=0.5;
          }
          _this.panel.setFillStyle("rgb("+(_this.abs(_this.sin(_this.warnAnimT*2))*255)+",0,0)");
          _this.panel.fillRect(0,0,200,20);
          _this.panel.setFillStyle("#ff0");
          _this.panel.fillRect(0,0,_this.durability*2,20);
          _this.update();
          
        }
      },
      fiber$main :function _trc_DrillDurabilityUI_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_Drill;
        _this.x=150;
        _this.y=435;
        _this.durability = 0;
        
        _this.targetDurability = 100;
        
        _this.isDrillAccident = false;
        
        _this.isWarnAnim = false;
        
        _this.warnAnimT = 0;
        
        _this.panel=new Tonyu.classes.kernel.Panel();
        _this.panel.resize(200,20);
        _this.panel.x=300;
        _this.panel.y=_this.y;
        
        _thread.enter(function _trc_DrillDurabilityUI_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              if (_this.isWarnAnim) {
                _this.warnAnimT++;
                _this.scaleX=_this.abs(_this.cos(_this.warnAnimT*2))+1;
                
              } else {
                _this.warnAnimT=0;
                _this.scaleX=1;
                
              }
              if (_this.isDrillAccident) {
                _this.scaleX=1;
                
              }
              if (_this.durability<_this.targetDurability) {
                _this.durability+=0.5;
              }
              if (_this.durability>_this.targetDurability) {
                _this.durability-=0.5;
              }
              _this.panel.setFillStyle("rgb("+(_this.abs(_this.sin(_this.warnAnimT*2))*255)+",0,0)");
              _this.panel.fillRect(0,0,200,20);
              _this.panel.setFillStyle("#ff0");
              _this.panel.fillRect(0,0,_this.durability*2,20);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      ChangeDurability :function _trc_DrillDurabilityUI_ChangeDurability(val) {
        "use strict";
        var _this=this;
        
        if (val<=0) {
          _this.targetDurability=0;
          _this.isDrillAccident=true;
          
        } else {
          _this.targetDurability=val;
          _this.isDrillAccident=false;
          
        }
        if (val<30) {
          _this.isWarnAnim=true;
          
        } else {
          _this.isWarnAnim=false;
          
        }
      },
      fiber$ChangeDurability :function _trc_DrillDurabilityUI_f_ChangeDurability(_thread,val) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (val<=0) {
          _this.targetDurability=0;
          _this.isDrillAccident=true;
          
        } else {
          _this.targetDurability=val;
          _this.isDrillAccident=false;
          
        }
        if (val<30) {
          _this.isWarnAnim=true;
          
        } else {
          _this.isWarnAnim=false;
          
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"ChangeDurability":{"nowait":false}},"fields":{"durability":{},"targetDurability":{},"isDrillAccident":{},"isWarnAnim":{},"warnAnimT":{},"panel":{}}}
});
Tonyu.klass.define({
  fullName: 'user.DrillRepairArea',
  shortName: 'DrillRepairArea',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_DrillRepairArea_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_DrillRepairArea;
        _this.isAlert=false;
        _this.t=0;
        _this.panel=new Tonyu.classes.kernel.Panel({layer: _this.layer,zOrder: _this.zOrder-1,alpha: 0});
        _this.panel.resize(100,100);
        _this.panel.x=_this.x;
        _this.panel.y=_this.y;
        _this.panel.setFillStyle("#fff");
        _this.panel.fillRect(0,0,100,100);
        while (1) {
          Tonyu.checkLoop();
          if (_this.isAlert) {
            _this.t++;
            _this.panel.alpha=_this.abs(_this.cos(_this.t*2))*128;
            _this.panel.scaleX=_this.sin(_this.t*2%90)/2+1;
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_DrillRepairArea_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_DrillRepairArea;
        _this.isAlert=false;
        _this.t=0;
        _this.panel=new Tonyu.classes.kernel.Panel({layer: _this.layer,zOrder: _this.zOrder-1,alpha: 0});
        _this.panel.resize(100,100);
        _this.panel.x=_this.x;
        _this.panel.y=_this.y;
        _this.panel.setFillStyle("#fff");
        _this.panel.fillRect(0,0,100,100);
        
        _thread.enter(function _trc_DrillRepairArea_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              if (_this.isAlert) {
                _this.t++;
                _this.panel.alpha=_this.abs(_this.cos(_this.t*2))*128;
                _this.panel.scaleX=_this.sin(_this.t*2%90)/2+1;
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      SetAlert :function _trc_DrillRepairArea_SetAlert(bool) {
        "use strict";
        var _this=this;
        
        _this.isAlert=bool;
        _this.t=0;
        _this.panel.alpha=0;
      },
      fiber$SetAlert :function _trc_DrillRepairArea_f_SetAlert(_thread,bool) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.isAlert=bool;
        _this.t=0;
        _this.panel.alpha=0;
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"SetAlert":{"nowait":false}},"fields":{"isAlert":{},"t":{},"panel":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Item',
  shortName: 'Item',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Item_main() {
        "use strict";
        var _this=this;
        
        if (_this.id==1) {
          _this.p=Tonyu.globals.$pat_RepairBatten;
          Tonyu.globals.$Player.ChangeDurability(100);
          new Tonyu.classes.kernel.Label({x: _this.x,y: _this.y,lifeKeeper: _this,text: "ドリル修復"});
          
        }
        _this.t = 0;
        
        _this.scaleX=0;
        _this.vx=_this.rnd(2)==0?1:- 1;
        _this.y-=15;
        while (_this.t<50) {
          Tonyu.checkLoop();
          _this.scaleX=_this.clamp(1.1-((50-_this.t)*(50-_this.t)/3500),0,1);
          _this.y-=1;
          _this.x+=_this.vx;
          _this.t++;
          _this.update();
          
        }
        while (_this.t<120) {
          Tonyu.checkLoop();
          _this.alpha=255-(_this.t-50)*4;
          _this.t++;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_Item_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.id==1) {
          _this.p=Tonyu.globals.$pat_RepairBatten;
          Tonyu.globals.$Player.ChangeDurability(100);
          new Tonyu.classes.kernel.Label({x: _this.x,y: _this.y,lifeKeeper: _this,text: "ドリル修復"});
          
        }
        _this.t = 0;
        
        _this.scaleX=0;
        _this.vx=_this.rnd(2)==0?1:- 1;
        _this.y-=15;
        
        _thread.enter(function _trc_Item_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.t<50)) { __pc=3     ; break; }
              _this.scaleX=_this.clamp(1.1-((50-_this.t)*(50-_this.t)/3500),0,1);
              _this.y-=1;
              _this.x+=_this.vx;
              _this.t++;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
            case 4:
              if (!(_this.t<120)) { __pc=6     ; break; }
              _this.alpha=255-(_this.t-50)*4;
              _this.t++;
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
              __pc=4;break;
            case 6     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"t":{},"id":{},"vx":{}}}
});
Tonyu.klass.define({
  fullName: 'user.LastTreasureUI',
  shortName: 'LastTreasureUI',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_LastTreasureUI_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$LastTreasureUI=_this;
        _this.p=- 1;
        _this.x=50;
        _this.y=50;
        _this.zOrder=- 1;
        _this.panel=new Tonyu.classes.kernel.Panel({layer: _this.layer});
        _this.panel.resize(500,100);
        _this.panel.x=250;
        _this.panel.y=50;
        _this.panel.setFillStyle("#fff");
        _this.panel.fillRect(0,0,500,100);
        _this.panel.setFillStyle("#113");
        _this.panel.fillRect(5,5,490,90);
        _this.name=new Tonyu.classes.kernel.Label({x: 110,y: 10,layer: _this.layer,size: 24,align: "left"});
        _this.name.text="ゴールデンな発掘";
        _this.desc=new Tonyu.classes.kernel.Label({x: 110,y: 40,layer: _this.layer,align: "left"});
        _this.desc.text="制限時間内にいっぱい掘り出そう！\n耐久度が無くなったら左下の修復エリアで回復！\nマウスやタッチで操作";
        _this.score=new Tonyu.classes.kernel.Label({x: 250,y: 80,layer: _this.layer,align: "center"});
        _this.score.text="";
        while (1) {
          Tonyu.checkLoop();
          _this.update();
          
        }
      },
      fiber$main :function _trc_LastTreasureUI_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$LastTreasureUI=_this;
        _this.p=- 1;
        _this.x=50;
        _this.y=50;
        _this.zOrder=- 1;
        _this.panel=new Tonyu.classes.kernel.Panel({layer: _this.layer});
        _this.panel.resize(500,100);
        _this.panel.x=250;
        _this.panel.y=50;
        _this.panel.setFillStyle("#fff");
        _this.panel.fillRect(0,0,500,100);
        _this.panel.setFillStyle("#113");
        _this.panel.fillRect(5,5,490,90);
        _this.name=new Tonyu.classes.kernel.Label({x: 110,y: 10,layer: _this.layer,size: 24,align: "left"});
        _this.name.text="ゴールデンな発掘";
        _this.desc=new Tonyu.classes.kernel.Label({x: 110,y: 40,layer: _this.layer,align: "left"});
        _this.desc.text="制限時間内にいっぱい掘り出そう！\n耐久度が無くなったら左下の修復エリアで回復！\nマウスやタッチで操作";
        _this.score=new Tonyu.classes.kernel.Label({x: 250,y: 80,layer: _this.layer,align: "center"});
        _this.score.text="";
        
        _thread.enter(function _trc_LastTreasureUI_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      UpdateTreasure :function _trc_LastTreasureUI_UpdateTreasure(tresure) {
        "use strict";
        var _this=this;
        
        _this.p=tresure.p;
        _this.name.text=tresure.name;
        if (_this.name.text.length>10) {
          _this.name.size=25;
          
        } else {
          _this.name.size=30;
          
        }
        _this.desc.text=tresure.desc;
        _this.score.text="スコア: "+tresure.score+"点";
      },
      fiber$UpdateTreasure :function _trc_LastTreasureUI_f_UpdateTreasure(_thread,tresure) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=tresure.p;
        _this.name.text=tresure.name;
        if (_this.name.text.length>10) {
          _this.name.size=25;
          
        } else {
          _this.name.size=30;
          
        }
        _this.desc.text=tresure.desc;
        _this.score.text="スコア: "+tresure.score+"点";
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"UpdateTreasure":{"nowait":false}},"fields":{"panel":{},"name":{},"desc":{},"score":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$Screen.resize(500,500);
        new Tonyu.classes.user.Stage();
        Tonyu.globals.$TreasureData=[{name: "ゴミ",desc: "ゴミはゴミ箱へ",score: 1,p: Tonyu.globals.$pat_GomiSmall},{name: "金塊",desc: "ゴールデンなゴールド",score: 1000,p: Tonyu.globals.$pat_gold_kinkai_nobebou_100},{name: "五円玉",desc: "黄銅製、ご縁がありますように",score: 5,p: Tonyu.globals.$pat_money_coin_blank_5_100},{name: "トロフィー",desc: "優勝！",score: 100,p: Tonyu.globals.$pat_undoukai_trophy_gold_100},{name: "金の卵",desc: "本当に金色の卵",score: 39,p: Tonyu.globals.$pat_golden_egg_100},{name: "キーホルダー",desc: "お土産屋さんによくある\n龍が剣に巻き付いたキーホルダー",score: 8,p: Tonyu.globals.$pat_toy_keyholder_dragon_gold_100},{name: "ゴールドカード",desc: "ちょっと良いクレジットカードだと思う",score: 99,p: Tonyu.globals.$pat_creditcard_gold_100},{name: "マリーゴールド",desc: "キンセンカとマリーゴールドは別物",score: 17,p: Tonyu.globals.$pat_flower_marigold_100},{name: "金将",desc: "将棋の駒、縦横と斜め前に1マス動ける",score: 6,p: Tonyu.globals.$pat_syougi07_kinsyou_100},{name: "ゴールデン・レトリバー",desc: "わんわん",score: 11,p: Tonyu.globals.$pat_dog_golden_retriever_100},{name: "ゴールデンハムスター",desc: "別名シリアンハムスター、体長約18cm",score: 18,p: Tonyu.globals.$pat_animal_golden_hamster_100},{name: "宇治金時",desc: "抹茶が宇治、あんこが金時を指してこう呼ぶ\nあんこと抹茶シロップのかき氷",score: 65,p: Tonyu.globals.$pat_kakigoori_ujikintoki_shiratama_100},{name: "ゴールド免許",desc: "正式名称は優良運転者免許証\n5年間無事故無違反の証",score: 0,p: Tonyu.globals.$pat_menkyo_gold_100},{name: "ゴールデン・ゲート・ブリッジ",desc: "アメリカ、ゴールデンゲート海峡に架かる\n全長2737mの吊り橋",score: 2737,p: Tonyu.globals.$pat_landmark_golden_gate_bridge_100},{name: "黄金比",desc: "近似値1:1.618で表される比\nこの比率だとなんだか美しく感じる",score: 1.618,p: Tonyu.globals.$pat_art_ougonhi_100}];
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$Screen.resize(500,500);
        new Tonyu.classes.user.Stage();
        Tonyu.globals.$TreasureData=[{name: "ゴミ",desc: "ゴミはゴミ箱へ",score: 1,p: Tonyu.globals.$pat_GomiSmall},{name: "金塊",desc: "ゴールデンなゴールド",score: 1000,p: Tonyu.globals.$pat_gold_kinkai_nobebou_100},{name: "五円玉",desc: "黄銅製、ご縁がありますように",score: 5,p: Tonyu.globals.$pat_money_coin_blank_5_100},{name: "トロフィー",desc: "優勝！",score: 100,p: Tonyu.globals.$pat_undoukai_trophy_gold_100},{name: "金の卵",desc: "本当に金色の卵",score: 39,p: Tonyu.globals.$pat_golden_egg_100},{name: "キーホルダー",desc: "お土産屋さんによくある\n龍が剣に巻き付いたキーホルダー",score: 8,p: Tonyu.globals.$pat_toy_keyholder_dragon_gold_100},{name: "ゴールドカード",desc: "ちょっと良いクレジットカードだと思う",score: 99,p: Tonyu.globals.$pat_creditcard_gold_100},{name: "マリーゴールド",desc: "キンセンカとマリーゴールドは別物",score: 17,p: Tonyu.globals.$pat_flower_marigold_100},{name: "金将",desc: "将棋の駒、縦横と斜め前に1マス動ける",score: 6,p: Tonyu.globals.$pat_syougi07_kinsyou_100},{name: "ゴールデン・レトリバー",desc: "わんわん",score: 11,p: Tonyu.globals.$pat_dog_golden_retriever_100},{name: "ゴールデンハムスター",desc: "別名シリアンハムスター、体長約18cm",score: 18,p: Tonyu.globals.$pat_animal_golden_hamster_100},{name: "宇治金時",desc: "抹茶が宇治、あんこが金時を指してこう呼ぶ\nあんこと抹茶シロップのかき氷",score: 65,p: Tonyu.globals.$pat_kakigoori_ujikintoki_shiratama_100},{name: "ゴールド免許",desc: "正式名称は優良運転者免許証\n5年間無事故無違反の証",score: 0,p: Tonyu.globals.$pat_menkyo_gold_100},{name: "ゴールデン・ゲート・ブリッジ",desc: "アメリカ、ゴールデンゲート海峡に架かる\n全長2737mの吊り橋",score: 2737,p: Tonyu.globals.$pat_landmark_golden_gate_bridge_100},{name: "黄金比",desc: "近似値1:1.618で表される比\nこの比率だとなんだか美しく感じる",score: 1.618,p: Tonyu.globals.$pat_art_ougonhi_100}];
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Player_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$Player=_this;
        _this.p=0;
        _this.zOrder=- 2;
        _this.durability = 100;
        
        _this.drillDurabilityUI = new Tonyu.classes.user.DrillDurabilityUI({layer: Tonyu.globals.$frontLayer});
        
        _this.lastTreasureUI = new Tonyu.classes.user.LastTreasureUI({layer: Tonyu.globals.$mainLayer});
        
        _this.treasureOrder = [];
        
        _this.itemOrder = [];
        
        _this.gotTresures = [];
        
        _this.SetNewTresureOrder();
        _this.SetNewItemOrder();
        while (Tonyu.globals.$GameState==1) {
          Tonyu.checkLoop();
          if (_this.x<Tonyu.globals.$mouseX) {
            _this.x++;
          }
          if (_this.x>Tonyu.globals.$mouseX) {
            _this.x--;
          }
          if (_this.y<Tonyu.globals.$mouseY) {
            _this.y++;
          }
          if (_this.y>Tonyu.globals.$mouseY) {
            _this.y--;
          }
          if (_this.getkey(1)==1||Tonyu.globals.$touches[0].touched==1) {
            _this.Action();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Player_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$Player=_this;
        _this.p=0;
        _this.zOrder=- 2;
        _this.durability = 100;
        
        _this.drillDurabilityUI = new Tonyu.classes.user.DrillDurabilityUI({layer: Tonyu.globals.$frontLayer});
        
        _this.lastTreasureUI = new Tonyu.classes.user.LastTreasureUI({layer: Tonyu.globals.$mainLayer});
        
        _this.treasureOrder = [];
        
        _this.itemOrder = [];
        
        _this.gotTresures = [];
        
        
        _thread.enter(function _trc_Player_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$SetNewTresureOrder(_thread);
              __pc=1;return;
            case 1:
              
              _this.fiber$SetNewItemOrder(_thread);
              __pc=2;return;
            case 2:
              
            case 3:
              if (!(Tonyu.globals.$GameState==1)) { __pc=7     ; break; }
              if (_this.x<Tonyu.globals.$mouseX) {
                _this.x++;
              }
              if (_this.x>Tonyu.globals.$mouseX) {
                _this.x--;
              }
              if (_this.y<Tonyu.globals.$mouseY) {
                _this.y++;
              }
              if (_this.y>Tonyu.globals.$mouseY) {
                _this.y--;
              }
              if (!(_this.getkey(1)==1||Tonyu.globals.$touches[0].touched==1)) { __pc=5     ; break; }
              _this.fiber$Action(_thread);
              __pc=4;return;
            case 4:
              
            case 5     :
              
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
              __pc=3;break;
            case 7     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      getCrashRect :function _trc_Player_getCrashRect() {
        "use strict";
        var _this=this;
        
        return {x: _this.x,y: _this.y,width: 0,height: 0};
      },
      DecreaseDurability :function _trc_Player_DecreaseDurability(val) {
        "use strict";
        var _this=this;
        var d;
        
        _this.durability-=val;
        _this.drillDurabilityUI.ChangeDurability(_this.durability);
        if (_this.durability<=0) {
          d = _this.all(Tonyu.classes.user.DrillRepairArea);
          
          d[0].SetAlert(true);
          
        }
      },
      fiber$DecreaseDurability :function _trc_Player_f_DecreaseDurability(_thread,val) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var d;
        
        _this.durability-=val;
        _this.drillDurabilityUI.ChangeDurability(_this.durability);
        if (_this.durability<=0) {
          d = _this.all(Tonyu.classes.user.DrillRepairArea);
          
          d[0].SetAlert(true);
          
        }
        
        _thread.retVal=_this;return;
      },
      ChangeDurability :function _trc_Player_ChangeDurability(val) {
        "use strict";
        var _this=this;
        var d;
        
        _this.durability=val;
        _this.drillDurabilityUI.ChangeDurability(_this.durability);
        if (_this.durability>0) {
          d = _this.all(Tonyu.classes.user.DrillRepairArea);
          
          d[0].SetAlert(false);
          
        }
      },
      fiber$ChangeDurability :function _trc_Player_f_ChangeDurability(_thread,val) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var d;
        
        _this.durability=val;
        _this.drillDurabilityUI.ChangeDurability(_this.durability);
        if (_this.durability>0) {
          d = _this.all(Tonyu.classes.user.DrillRepairArea);
          
          d[0].SetAlert(false);
          
        }
        
        _thread.retVal=_this;return;
      },
      Action :function _trc_Player_Action() {
        "use strict";
        var _this=this;
        var d;
        
        d = _this.crashTo(Tonyu.classes.user.DigArea);
        
        if (d&&d.findTouch(1)) {
          _this.Dig(d);
          
        }
        d = _this.crashTo(Tonyu.classes.user.DrillRepairArea);
        
        if (d&&d.findTouch(1)) {
          _this.DrillRepair();
          
        }
      },
      fiber$Action :function _trc_Player_f_Action(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var d;
        
        d = _this.crashTo(Tonyu.classes.user.DigArea);
        
        
        _thread.enter(function _trc_Player_ent_Action(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(d&&d.findTouch(1))) { __pc=2     ; break; }
              _this.fiber$Dig(_thread, d);
              __pc=1;return;
            case 1:
              
            case 2     :
              
              d = _this.crashTo(Tonyu.classes.user.DrillRepairArea);
              
              if (!(d&&d.findTouch(1))) { __pc=4     ; break; }
              _this.fiber$DrillRepair(_thread);
              __pc=3;return;
            case 3:
              
            case 4     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      PopNextTreasure :function _trc_Player_PopNextTreasure(x,y) {
        "use strict";
        var _this=this;
        var id;
        
        id = _this.treasureOrder.splice(0,1);
        
        new Tonyu.classes.user.Treasure({x: x,y: y,id: id});
        _this.gotTresures.push(id);
      },
      fiber$PopNextTreasure :function _trc_Player_f_PopNextTreasure(_thread,x,y) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var id;
        
        id = _this.treasureOrder.splice(0,1);
        
        new Tonyu.classes.user.Treasure({x: x,y: y,id: id});
        _this.gotTresures.push(id);
        
        _thread.retVal=_this;return;
      },
      PopNextItem :function _trc_Player_PopNextItem(x,y) {
        "use strict";
        var _this=this;
        var id;
        
        id = _this.itemOrder.splice(0,1);
        
        if (id!=0) {
          new Tonyu.classes.user.Item({x: x,y: y,id: id});
          
        }
      },
      fiber$PopNextItem :function _trc_Player_f_PopNextItem(_thread,x,y) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var id;
        
        id = _this.itemOrder.splice(0,1);
        
        if (id!=0) {
          new Tonyu.classes.user.Item({x: x,y: y,id: id});
          
        }
        
        _thread.retVal=_this;return;
      },
      Dig :function _trc_Player_Dig(d) {
        "use strict";
        var _this=this;
        var t;
        var drill;
        
        if (_this.durability<=0) {
          return _this;
        }
        if (d.CanDig()) {
          t = 0;
          
          drill = new Tonyu.classes.user.Drill({x: d.x+20,y: d.y-30,zOrder: - 2});
          
          _this.DecreaseDurability(10+_this.rnd(10));
          _this.scaleX=2;
          while (t<60) {
            Tonyu.checkLoop();
            _this.scaleX=1+(60-t)/60;
            t++;
            if (Tonyu.globals.$GameState!=1) {
              return _this;
            }
            _this.update();
            
          }
          drill.die();
          d.Dig();
          if (d.digged) {
            _this.PopNextTreasure(d.x,d.y);
            _this.PopNextItem(d.x,d.y);
            
          }
          
        }
      },
      fiber$Dig :function _trc_Player_f_Dig(_thread,d) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var t;
        var drill;
        
        if (_this.durability<=0) {
          _thread.retVal=_this;return;
          
        }
        
        _thread.enter(function _trc_Player_ent_Dig(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(d.CanDig())) { __pc=8     ; break; }
              t = 0;
              
              drill = new Tonyu.classes.user.Drill({x: d.x+20,y: d.y-30,zOrder: - 2});
              
              _this.DecreaseDurability(10+_this.rnd(10));
              _this.scaleX=2;
            case 1:
              if (!(t<60)) { __pc=4     ; break; }
              _this.scaleX=1+(60-t)/60;
              t++;
              if (!(Tonyu.globals.$GameState!=1)) { __pc=2     ; break; }
              _thread.exit(_this);return;
            case 2     :
              
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
              __pc=1;break;
            case 4     :
              
              drill.die();
              d.Dig();
              if (!(d.digged)) { __pc=7     ; break; }
              _this.fiber$PopNextTreasure(_thread, d.x, d.y);
              __pc=5;return;
            case 5:
              
              _this.fiber$PopNextItem(_thread, d.x, d.y);
              __pc=6;return;
            case 6:
              
            case 7     :
              
            case 8     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      DrillRepair :function _trc_Player_DrillRepair() {
        "use strict";
        var _this=this;
        var t;
        
        _this.ChangeDurability(100);
        t = 0;
        
        _this.scaleX=2;
        while (t<60) {
          Tonyu.checkLoop();
          _this.scaleX=1+(60-t)/60;
          t++;
          _this.update();
          
        }
      },
      fiber$DrillRepair :function _trc_Player_f_DrillRepair(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var t;
        
        _this.ChangeDurability(100);
        t = 0;
        
        _this.scaleX=2;
        
        _thread.enter(function _trc_Player_ent_DrillRepair(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(t<60)) { __pc=3     ; break; }
              _this.scaleX=1+(60-t)/60;
              t++;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      SetNewTresureOrder :function _trc_Player_SetNewTresureOrder() {
        "use strict";
        var _this=this;
        var tresures;
        var i;
        var tresureOrder;
        
        _this.tresuresCnt=15;
        tresures = [];
        
        i = 0;
        for (; i<_this.tresuresCnt ; i++) {
          Tonyu.checkLoop();
          {
            tresures[i]=i;
          }
        }
        tresureOrder = [];
        
        tresureOrder[0]=tresures.splice(_this.rnd(6),1);
        tresureOrder[1]=tresures.splice(_this.rnd(6),1);
        tresureOrder[2]=tresures.splice(_this.rnd(6),1);
        i = 3;
        for (; i<_this.tresuresCnt ; i++) {
          Tonyu.checkLoop();
          {
            tresureOrder[i]=tresures.splice(_this.rnd(tresures.length),1);
          }
        }
        _this.treasureOrder=tresureOrder;
      },
      fiber$SetNewTresureOrder :function _trc_Player_f_SetNewTresureOrder(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var tresures;
        var i;
        var tresureOrder;
        
        _this.tresuresCnt=15;
        tresures = [];
        
        i = 0;
        for (; i<_this.tresuresCnt ; i++) {
          Tonyu.checkLoop();
          {
            tresures[i]=i;
          }
        }
        tresureOrder = [];
        
        tresureOrder[0]=tresures.splice(_this.rnd(6),1);
        tresureOrder[1]=tresures.splice(_this.rnd(6),1);
        tresureOrder[2]=tresures.splice(_this.rnd(6),1);
        i = 3;
        for (; i<_this.tresuresCnt ; i++) {
          Tonyu.checkLoop();
          {
            tresureOrder[i]=tresures.splice(_this.rnd(tresures.length),1);
          }
        }
        _this.treasureOrder=tresureOrder;
        
        _thread.retVal=_this;return;
      },
      SetNewItemOrder :function _trc_Player_SetNewItemOrder() {
        "use strict";
        var _this=this;
        var itemOrder;
        var i;
        
        _this.itemCnt=15;
        itemOrder = [];
        
        i = 0;
        for (; i<_this.itemCnt ; i++) {
          Tonyu.checkLoop();
          {
            itemOrder[i]=0;
          }
        }
        itemOrder.splice(_this.rnd(3)+1,1,1);
        itemOrder.splice(_this.rnd(4)+4,1,1);
        itemOrder.splice(_this.rnd(4)+8,1,1);
        _this.itemOrder=itemOrder;
      },
      fiber$SetNewItemOrder :function _trc_Player_f_SetNewItemOrder(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var itemOrder;
        var i;
        
        _this.itemCnt=15;
        itemOrder = [];
        
        i = 0;
        for (; i<_this.itemCnt ; i++) {
          Tonyu.checkLoop();
          {
            itemOrder[i]=0;
          }
        }
        itemOrder.splice(_this.rnd(3)+1,1,1);
        itemOrder.splice(_this.rnd(4)+4,1,1);
        itemOrder.splice(_this.rnd(4)+8,1,1);
        _this.itemOrder=itemOrder;
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"getCrashRect":{"nowait":true},"DecreaseDurability":{"nowait":false},"ChangeDurability":{"nowait":false},"Action":{"nowait":false},"PopNextTreasure":{"nowait":false},"PopNextItem":{"nowait":false},"Dig":{"nowait":false},"DrillRepair":{"nowait":false},"SetNewTresureOrder":{"nowait":false},"SetNewItemOrder":{"nowait":false}},"fields":{"durability":{},"drillDurabilityUI":{},"lastTreasureUI":{},"treasureOrder":{},"itemOrder":{},"gotTresures":{},"tresuresCnt":{},"itemCnt":{}}}
});
Tonyu.klass.define({
  fullName: 'user.ResultUI',
  shortName: 'ResultUI',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_ResultUI_main() {
        "use strict";
        var _this=this;
        var _it_1717;
        
        _this.x=250;
        _this.y=250;
        _this.panel=new Tonyu.classes.kernel.Panel({layer: _this.layer,alpha: 222});
        _this.panel.resize(500,500);
        _this.panel.x=250;
        _this.panel.y=250;
        _this.panel.setFillStyle("#333");
        _this.panel.fillRect(0,0,500,500);
        new Tonyu.classes.kernel.Label({x: _this.x,y: 100,text: "ゲームオーバー",size: 40,align: "center",lifeKeeper: _this});
        _this.score=Tonyu.globals.$ResultScore;
        new Tonyu.classes.kernel.Label({x: _this.x,y: 350,text: "合計スコア: "+_this.score+"点",size: 30,align: "center",lifeKeeper: _this});
        new Tonyu.classes.kernel.Button({top: 420,left: 50,width: 175,text: "Share",onClick: Tonyu.bindFunc(_this,_this.Share),lifeKeeper: _this});
        new Tonyu.classes.kernel.Button({top: 420,left: 300,width: 175,text: "Retry",onClick: Tonyu.bindFunc(_this,_this.Retry),lifeKeeper: _this});
        _this.tresures=Tonyu.globals.$GotTresures;
        _this.cnt = 0;
        
        _it_1717=Tonyu.iterator(_this.tresures,1);
        while(_it_1717.next()) {
          _this.id=_it_1717[0];
          
          new Tonyu.classes.user.TreasureUI({x: _this.cnt%5*70+125,y: _this.floor(_this.cnt/5)*50+200,scaleX: 0.5,id: _this.id,layer: _this.layer});
          _this.cnt++;
          
        }
        while (1) {
          Tonyu.checkLoop();
          _this.update();
          
        }
      },
      fiber$main :function _trc_ResultUI_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_1717;
        
        _this.x=250;
        _this.y=250;
        _this.panel=new Tonyu.classes.kernel.Panel({layer: _this.layer,alpha: 222});
        _this.panel.resize(500,500);
        _this.panel.x=250;
        _this.panel.y=250;
        _this.panel.setFillStyle("#333");
        _this.panel.fillRect(0,0,500,500);
        new Tonyu.classes.kernel.Label({x: _this.x,y: 100,text: "ゲームオーバー",size: 40,align: "center",lifeKeeper: _this});
        _this.score=Tonyu.globals.$ResultScore;
        new Tonyu.classes.kernel.Label({x: _this.x,y: 350,text: "合計スコア: "+_this.score+"点",size: 30,align: "center",lifeKeeper: _this});
        new Tonyu.classes.kernel.Button({top: 420,left: 50,width: 175,text: "Share",onClick: Tonyu.bindFunc(_this,_this.Share),lifeKeeper: _this});
        new Tonyu.classes.kernel.Button({top: 420,left: 300,width: 175,text: "Retry",onClick: Tonyu.bindFunc(_this,_this.Retry),lifeKeeper: _this});
        _this.tresures=Tonyu.globals.$GotTresures;
        _this.cnt = 0;
        
        _it_1717=Tonyu.iterator(_this.tresures,1);
        while(_it_1717.next()) {
          _this.id=_it_1717[0];
          
          new Tonyu.classes.user.TreasureUI({x: _this.cnt%5*70+125,y: _this.floor(_this.cnt/5)*50+200,scaleX: 0.5,id: _this.id,layer: _this.layer});
          _this.cnt++;
          
        }
        
        _thread.enter(function _trc_ResultUI_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      Share :function _trc_ResultUI_Share() {
        "use strict";
        var _this=this;
        
        if (_this.all(Tonyu.classes.user.TreasureDetailUI).length==0) {
          Tonyu.globals.$WebPage.openShareTweet("Score: "+_this.score+"点");
          
        }
      },
      fiber$Share :function _trc_ResultUI_f_Share(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.all(Tonyu.classes.user.TreasureDetailUI).length==0) {
          Tonyu.globals.$WebPage.openShareTweet("Score: "+_this.score+"点");
          
        }
        
        _thread.retVal=_this;return;
      },
      Retry :function _trc_ResultUI_Retry() {
        "use strict";
        var _this=this;
        
        if (_this.all(Tonyu.classes.user.TreasureDetailUI).length==0) {
          _this.loadPage(Tonyu.classes.user.Stage);
          
        }
      },
      fiber$Retry :function _trc_ResultUI_f_Retry(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_ResultUI_ent_Retry(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(_this.all(Tonyu.classes.user.TreasureDetailUI).length==0)) { __pc=2     ; break; }
              _this.fiber$loadPage(_thread, Tonyu.classes.user.Stage);
              __pc=1;return;
            case 1:
              
            case 2     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"Share":{"nowait":false},"Retry":{"nowait":false}},"fields":{"cnt":{},"panel":{},"score":{},"tresures":{},"id":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Stage',
  shortName: 'Stage',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Stage_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$ResultScore=0;
        new Tonyu.classes.user.Player({x: 250,y: 250});
        _this.stoneCnt = 20;
        
        _this.digAreaStoneCnt = [];
        
        _this.i = 0;
        for (; _this.i<15 ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.digAreaStoneCnt[_this.i]=0;
          }
        }
        _this.i = 0;
        for (; _this.i<_this.stoneCnt ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.digAreaStoneCnt[_this.rnd(15)]+=1;
          }
        }
        _this.di = 0;
        
        _this.dx = 0;
        for (; _this.dx<5 ; _this.dx++) {
          Tonyu.checkLoop();
          {
            _this.dy = 0;
            for (; _this.dy<3 ; _this.dy++) {
              Tonyu.checkLoop();
              {
                new Tonyu.classes.user.DigArea({x: _this.dx*100+50,y: _this.dy*100+150,stones: _this.digAreaStoneCnt[_this.di]});
                _this.di++;
              }
            }
          }
        }
        new Tonyu.classes.user.DrillRepairArea({x: 50,y: 450});
        new Tonyu.classes.kernel.Button({top: 0,left: 450,width: 50,height: 20,text: "Retry",onClick: Tonyu.bindFunc(_this,_this.Retry),lifeKeeper: _this,zOrder: _this.zOrder});
        Tonyu.globals.$GameState=1;
        _this.timeLeft = 3000;
        
        _this.timeLeftUI = new Tonyu.classes.user.TimeLeftUI({layer: Tonyu.globals.$frontLayer});
        
        _this.timeLeftUI.ChangeMaxTimeLeft(_this.timeLeft);
        _this.timeLeftUI.ChangeTimeLeft(_this.timeLeft);
        while (_this.timeLeft>=0) {
          Tonyu.checkLoop();
          _this.timeLeft--;
          _this.timeLeftUI.ChangeTimeLeft(_this.timeLeft);
          _this.update();
          
        }
        Tonyu.globals.$GameState=2;
        Tonyu.globals.$GotTresures=Tonyu.globals.$Player.gotTresures;
        new Tonyu.classes.user.ResultUI({layer: Tonyu.globals.$frontLayer});
      },
      fiber$main :function _trc_Stage_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$ResultScore=0;
        new Tonyu.classes.user.Player({x: 250,y: 250});
        _this.stoneCnt = 20;
        
        _this.digAreaStoneCnt = [];
        
        _this.i = 0;
        for (; _this.i<15 ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.digAreaStoneCnt[_this.i]=0;
          }
        }
        _this.i = 0;
        for (; _this.i<_this.stoneCnt ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.digAreaStoneCnt[_this.rnd(15)]+=1;
          }
        }
        _this.di = 0;
        
        _this.dx = 0;
        for (; _this.dx<5 ; _this.dx++) {
          Tonyu.checkLoop();
          {
            _this.dy = 0;
            for (; _this.dy<3 ; _this.dy++) {
              Tonyu.checkLoop();
              {
                new Tonyu.classes.user.DigArea({x: _this.dx*100+50,y: _this.dy*100+150,stones: _this.digAreaStoneCnt[_this.di]});
                _this.di++;
              }
            }
          }
        }
        new Tonyu.classes.user.DrillRepairArea({x: 50,y: 450});
        new Tonyu.classes.kernel.Button({top: 0,left: 450,width: 50,height: 20,text: "Retry",onClick: Tonyu.bindFunc(_this,_this.Retry),lifeKeeper: _this,zOrder: _this.zOrder});
        Tonyu.globals.$GameState=1;
        _this.timeLeft = 3000;
        
        _this.timeLeftUI = new Tonyu.classes.user.TimeLeftUI({layer: Tonyu.globals.$frontLayer});
        
        _this.timeLeftUI.ChangeMaxTimeLeft(_this.timeLeft);
        _this.timeLeftUI.ChangeTimeLeft(_this.timeLeft);
        
        _thread.enter(function _trc_Stage_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.timeLeft>=0)) { __pc=3     ; break; }
              _this.timeLeft--;
              _this.timeLeftUI.ChangeTimeLeft(_this.timeLeft);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              Tonyu.globals.$GameState=2;
              Tonyu.globals.$GotTresures=Tonyu.globals.$Player.gotTresures;
              new Tonyu.classes.user.ResultUI({layer: Tonyu.globals.$frontLayer});
              _thread.exit(_this);return;
            }
          }
        });
      },
      Retry :function _trc_Stage_Retry() {
        "use strict";
        var _this=this;
        
        _this.loadPage(Tonyu.classes.user.Stage);
      },
      fiber$Retry :function _trc_Stage_f_Retry(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Stage_ent_Retry(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$loadPage(_thread, Tonyu.classes.user.Stage);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"Retry":{"nowait":false}},"fields":{"stoneCnt":{},"digAreaStoneCnt":{},"i":{},"di":{},"dx":{},"dy":{},"timeLeft":{},"timeLeftUI":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Treasure',
  shortName: 'Treasure',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Treasure_main() {
        "use strict";
        var _this=this;
        
        _this.tresure=Tonyu.globals.$TreasureData[_this.id];
        _this.p=_this.tresure.p;
        Tonyu.globals.$LastTreasureUI.UpdateTreasure(_this.tresure);
        Tonyu.globals.$ResultScore+=_this.tresure.score;
        _this.t = 0;
        
        _this.scaleX=0;
        while (_this.t<50) {
          Tonyu.checkLoop();
          _this.scaleX=_this.clamp(1.1-((50-_this.t)*(50-_this.t)/3500),0,1);
          if (_this.t<25) {
            _this.y-=2;
          }
          _this.t++;
          _this.update();
          
        }
        while (_this.t<120) {
          Tonyu.checkLoop();
          _this.alpha=255-(_this.t-50)*4;
          _this.t++;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_Treasure_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.tresure=Tonyu.globals.$TreasureData[_this.id];
        _this.p=_this.tresure.p;
        Tonyu.globals.$LastTreasureUI.UpdateTreasure(_this.tresure);
        Tonyu.globals.$ResultScore+=_this.tresure.score;
        _this.t = 0;
        
        _this.scaleX=0;
        
        _thread.enter(function _trc_Treasure_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(_this.t<50)) { __pc=3     ; break; }
              _this.scaleX=_this.clamp(1.1-((50-_this.t)*(50-_this.t)/3500),0,1);
              if (_this.t<25) {
                _this.y-=2;
              }
              _this.t++;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
            case 4:
              if (!(_this.t<120)) { __pc=6     ; break; }
              _this.alpha=255-(_this.t-50)*4;
              _this.t++;
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
              __pc=4;break;
            case 6     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"t":{},"tresure":{},"id":{}}}
});
Tonyu.klass.define({
  fullName: 'user.TreasureUI',
  shortName: 'TreasureUI',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_TreasureUI_main() {
        "use strict";
        var _this=this;
        
        _this.tresure=Tonyu.globals.$TreasureData[_this.id];
        _this.p=_this.tresure.p;
        while (1) {
          Tonyu.checkLoop();
          _this.f=_this.findTouch(1);
          if (_this.f&&_this.f.touched==1&&_this.all(Tonyu.classes.user.TreasureDetailUI).length==0) {
            new Tonyu.classes.user.TreasureDetailUI({id: _this.id,layer: _this.layer});
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_TreasureUI_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.tresure=Tonyu.globals.$TreasureData[_this.id];
        _this.p=_this.tresure.p;
        
        _thread.enter(function _trc_TreasureUI_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              _this.f=_this.findTouch(1);
              if (_this.f&&_this.f.touched==1&&_this.all(Tonyu.classes.user.TreasureDetailUI).length==0) {
                new Tonyu.classes.user.TreasureDetailUI({id: _this.id,layer: _this.layer});
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"tresure":{},"id":{},"f":{}}}
});
Tonyu.klass.define({
  fullName: 'user.TreasureDetailUI',
  shortName: 'TreasureDetailUI',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_TreasureDetailUI_main() {
        "use strict";
        var _this=this;
        
        _this.tresure=Tonyu.globals.$TreasureData[_this.id];
        _this.p=_this.tresure.p;
        _this.x=250;
        _this.y=100;
        _this.zOrder=- 10;
        _this.panel=new Tonyu.classes.kernel.Panel({layer: _this.layer,alpha: 222,lifeKeeper: _this,zOrder: _this.zOrder});
        _this.panel.resize(500,500);
        _this.panel.x=250;
        _this.panel.y=250;
        _this.panel.setFillStyle("#333");
        _this.panel.fillRect(0,0,500,500);
        _this.zOrder-=1;
        _this.name=new Tonyu.classes.kernel.Label({x: 250,y: 180,layer: _this.layer,size: 30,align: "center",lifeKeeper: _this,zOrder: _this.zOrder});
        _this.name.text=_this.tresure.name;
        _this.desc=new Tonyu.classes.kernel.Label({x: 110,y: 230,layer: _this.layer,align: "left",lifeKeeper: _this,zOrder: _this.zOrder});
        _this.desc.text=_this.tresure.desc;
        _this.score=new Tonyu.classes.kernel.Label({x: 250,y: 280,layer: _this.layer,align: "center",lifeKeeper: _this,zOrder: _this.zOrder});
        _this.score.text="スコア: "+_this.tresure.score+"点";
        new Tonyu.classes.kernel.Button({top: 350,left: 50,width: 175,text: "Share",onClick: Tonyu.bindFunc(_this,_this.Share),lifeKeeper: _this,zOrder: _this.zOrder});
        new Tonyu.classes.kernel.Button({top: 350,left: 300,width: 175,text: "Close",onClick: Tonyu.bindFunc(_this,_this.Close),lifeKeeper: _this,zOrder: _this.zOrder});
      },
      fiber$main :function _trc_TreasureDetailUI_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.tresure=Tonyu.globals.$TreasureData[_this.id];
        _this.p=_this.tresure.p;
        _this.x=250;
        _this.y=100;
        _this.zOrder=- 10;
        _this.panel=new Tonyu.classes.kernel.Panel({layer: _this.layer,alpha: 222,lifeKeeper: _this,zOrder: _this.zOrder});
        _this.panel.resize(500,500);
        _this.panel.x=250;
        _this.panel.y=250;
        _this.panel.setFillStyle("#333");
        _this.panel.fillRect(0,0,500,500);
        _this.zOrder-=1;
        _this.name=new Tonyu.classes.kernel.Label({x: 250,y: 180,layer: _this.layer,size: 30,align: "center",lifeKeeper: _this,zOrder: _this.zOrder});
        _this.name.text=_this.tresure.name;
        _this.desc=new Tonyu.classes.kernel.Label({x: 110,y: 230,layer: _this.layer,align: "left",lifeKeeper: _this,zOrder: _this.zOrder});
        _this.desc.text=_this.tresure.desc;
        _this.score=new Tonyu.classes.kernel.Label({x: 250,y: 280,layer: _this.layer,align: "center",lifeKeeper: _this,zOrder: _this.zOrder});
        _this.score.text="スコア: "+_this.tresure.score+"点";
        new Tonyu.classes.kernel.Button({top: 350,left: 50,width: 175,text: "Share",onClick: Tonyu.bindFunc(_this,_this.Share),lifeKeeper: _this,zOrder: _this.zOrder});
        new Tonyu.classes.kernel.Button({top: 350,left: 300,width: 175,text: "Close",onClick: Tonyu.bindFunc(_this,_this.Close),lifeKeeper: _this,zOrder: _this.zOrder});
        
        _thread.retVal=_this;return;
      },
      Close :function _trc_TreasureDetailUI_Close() {
        "use strict";
        var _this=this;
        
        _this.die();
      },
      fiber$Close :function _trc_TreasureDetailUI_f_Close(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.die();
        
        _thread.retVal=_this;return;
      },
      Share :function _trc_TreasureDetailUI_Share() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$WebPage.openShareTweet(""+_this.tresure.name+" を掘り出した！ "+_this.tresure.score+"点！");
      },
      fiber$Share :function _trc_TreasureDetailUI_f_Share(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$WebPage.openShareTweet(""+_this.tresure.name+" を掘り出した！ "+_this.tresure.score+"点！");
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"Close":{"nowait":false},"Share":{"nowait":false}},"fields":{"tresure":{},"id":{},"panel":{},"name":{},"desc":{},"score":{}}}
});
Tonyu.klass.define({
  fullName: 'user.TimeLeftUI',
  shortName: 'TimeLeftUI',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_TimeLeftUI_main() {
        "use strict";
        var _this=this;
        
        _this.p=- 1;
        _this.x=180;
        _this.y=475;
        _this.timeLeft = _this.timeLeft?_this.timeLeft:6000;
        
        _this.maxTimeLeft = _this.maxTimeLeft?_this.maxTimeLeft:6000;
        
        _this.isDrillAccident = false;
        
        _this.isWarnAnim = false;
        
        _this.warnAnimT = 0;
        
        new Tonyu.classes.kernel.Label({x: _this.x,y: _this.y-8,text: "残り時間",align: "right",lifeKeeper: _this});
        _this.panel=new Tonyu.classes.kernel.Panel();
        _this.panel.resize(200,20);
        _this.panel.x=300;
        _this.panel.y=_this.y;
        while (1) {
          Tonyu.checkLoop();
          if (_this.isWarnAnim) {
            _this.warnAnimT++;
            
          } else {
            _this.warnAnimT=0;
            
          }
          _this.panel.setFillStyle("rgb("+(_this.abs(_this.sin(_this.warnAnimT*2))*255)+",0,0)");
          _this.panel.fillRect(0,0,200,20);
          _this.panel.setFillStyle("#0ff");
          _this.panel.fillRect(0,0,(_this.timeLeft/_this.maxTimeLeft)*200,20);
          _this.update();
          
        }
      },
      fiber$main :function _trc_TimeLeftUI_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=- 1;
        _this.x=180;
        _this.y=475;
        _this.timeLeft = _this.timeLeft?_this.timeLeft:6000;
        
        _this.maxTimeLeft = _this.maxTimeLeft?_this.maxTimeLeft:6000;
        
        _this.isDrillAccident = false;
        
        _this.isWarnAnim = false;
        
        _this.warnAnimT = 0;
        
        new Tonyu.classes.kernel.Label({x: _this.x,y: _this.y-8,text: "残り時間",align: "right",lifeKeeper: _this});
        _this.panel=new Tonyu.classes.kernel.Panel();
        _this.panel.resize(200,20);
        _this.panel.x=300;
        _this.panel.y=_this.y;
        
        _thread.enter(function _trc_TimeLeftUI_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(1)) { __pc=3     ; break; }
              if (_this.isWarnAnim) {
                _this.warnAnimT++;
                
              } else {
                _this.warnAnimT=0;
                
              }
              _this.panel.setFillStyle("rgb("+(_this.abs(_this.sin(_this.warnAnimT*2))*255)+",0,0)");
              _this.panel.fillRect(0,0,200,20);
              _this.panel.setFillStyle("#0ff");
              _this.panel.fillRect(0,0,(_this.timeLeft/_this.maxTimeLeft)*200,20);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      ChangeMaxTimeLeft :function _trc_TimeLeftUI_ChangeMaxTimeLeft(val) {
        "use strict";
        var _this=this;
        
        _this.maxTimeLeft=val;
      },
      fiber$ChangeMaxTimeLeft :function _trc_TimeLeftUI_f_ChangeMaxTimeLeft(_thread,val) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.maxTimeLeft=val;
        
        _thread.retVal=_this;return;
      },
      ChangeTimeLeft :function _trc_TimeLeftUI_ChangeTimeLeft(val) {
        "use strict";
        var _this=this;
        
        _this.timeLeft=val;
        if (_this.timeLeft<420) {
          _this.isWarnAnim=true;
          
        }
      },
      fiber$ChangeTimeLeft :function _trc_TimeLeftUI_f_ChangeTimeLeft(_thread,val) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.timeLeft=val;
        if (_this.timeLeft<420) {
          _this.isWarnAnim=true;
          
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"ChangeMaxTimeLeft":{"nowait":false},"ChangeTimeLeft":{"nowait":false}},"fields":{"timeLeft":{},"maxTimeLeft":{},"isDrillAccident":{},"isWarnAnim":{},"warnAnimT":{},"panel":{}}}
});

//# sourceMappingURL=concat.js.map